import { aws_s3 as s3 } from 'aws-cdk-lib';
import { Construct } from 'constructs';
export interface RenovoS3BucketProps {
    /**
     * Rules that define how Amazon S3 manages objects during their lifetime.
     */
    readonly lifecycleRules: s3.LifecycleRule[];
    /**
     * The name of the bucket.
     */
    readonly name?: string;
}
export declare class RenovoS3Bucket extends Construct {
    readonly bucket: s3.Bucket;
    constructor(scope: Construct, id: string, props: RenovoS3BucketProps);
}
